Subject: [Acme] Fwd: FW: New Version Notification for draft-moriarty-acme-client-01.txt

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 30 May 2019 11:33:24 -0400

Hello,

Thanks to those of you that provided feedback at the last meeting.  I
worked a little more on this draft and filled in what I thought might be
viable options for challenge types for end users, both for client and code
signing certificates.  If these are/are not helpful or more are needed.
that feedback would be helpful as well.

I also posted the start of an overview document that is helpful may be
expanded.
https://tools.ietf.org/html/draft-moriarty-acme-overview-00
This took some of the content from the original client draft, making it
informational only.

Owen Friel and Rifaat Shekh-Yusef are diligently working on device
certificates and hopefully will have an update soon too.  The above draft
intentionally leaves those out as a result wile they work through use cases
and possibilities.

Thank you,
Kathleen

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, May 30, 2019 11:08 AM
To: Moriarty, Kathleen; Moriarty, Kathleen
Subject: New Version Notification for draft-moriarty-acme-client-01.txt

[EXTERNAL EMAIL]

A new version of I-D, draft-moriarty-acme-client-01.txt
has been successfully submitted by Kathleen M. Moriarty and posted to the
IETF repository.

Name:           draft-moriarty-acme-client
Revision:       01
Title:          ACME End User Client and Code Signing Certificates
Document date:  2019-05-30
Group:          Individual Submission
Pages:          14
URL:
https://www.ietf.org/internet-drafts/draft-moriarty-acme-client-01.txt
Status:         https://datatracker.ietf.org/doc/draft-moriarty-acme-client/
Htmlized:       https://tools.ietf.org/html/draft-moriarty-acme-client-01
Htmlized:
https://datatracker.ietf.org/doc/html/draft-moriarty-acme-client
Diff:
https://www.ietf.org/rfcdiff?url2=draft-moriarty-acme-client-01

Abstract:
   Automated Certificate Management Environment (ACME) core protocol
   addresses the use case of web server certificates for TLS.  This
   document extends the ACME protocol to support end user client, device
   client, and code signing certificates.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

-- 

Best regards,
Kathleen

---

From: Thomas Peterson <[email-masked]>
Date: Thu, 30 May 2019 18:58:33 +0100

Thanks for the new version of this draft. To address some of the points 
raised within in:

 > Section 5, CodeSigning Certificates
 > ... is it worth defining SMS and email for the challenge?

Not exclusively, and given current trends to steer away from using SMS 
for similar uses (notably 2FA) I would recommend omitting SMS completely.

 > Section 7.1 One Time Password (OTP)

Could this not make direct reference to RFC 4226 and RFC 6238? Both are 
quite widely deployed, existing standards.

Regards

On 30/05/2019 16:33, Kathleen Moriarty wrote:
> viable options for challenge types for end users, both for client and 
> code signing certificates.  If these are/are not helpful or more are 
> needed. that feedback would be helpful as well.
> 
> certificates and hopefully will have an update soon too.  The above 
> draft intentionally leaves those out as a result wile they work through 
> use cases and possibilities.
> 
> Thank you,
> Kathleen
> 
> From: [email-masked] <mailto:[email-masked]> 
> [mailto:[email-masked] <mailto:[email-masked]>]
> URL: https://www.ietf.org/internet-drafts/draft-moriarty-acme-client-01.txt
> Htmlized: https://datatracker.ietf.org/doc/html/draft-moriarty-acme-client
> Diff: https://www.ietf.org/rfcdiff?url2=draft-moriarty-acme-client-01
> 
> Abstract:
> until the htmlized version and diff are available at tools.ietf.org 
> <http://tools.ietf.org>.
> 
> The IETF Secretariat
> 
> 
> 
> -- 
> 
> Best regards,
> Kathleen
> 
> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme
>